For the complete documentation index, see llms.txt. This page is also available as Markdown.

Collaboration Requests

Case creation, retrieval, and management

Create a new collaboration request

post
Authorizations
Body
documentIdinteger · int64Required
internalCaseNumberstringRequired
receiverInternalCaseNumberstringOptional
problemSummarystringRequired
problemDescriptionstringRequired
prioritystring · enumRequiredPossible values:
adminNotestringOptional
escalationInstructionsstringOptional
testSubmissionbooleanRequired
Responses
200

Collaboration request created successfully

idinteger · int64Optional
submitCompanyNamestringOptional
submitCompanyIdinteger · int64Optional
submitterCaseNumberstringOptional
receiveCompanyNamestringOptional
receiveCompanyIdinteger · int64Optional
receiverCaseNumberstringOptional
summarystringOptional
descriptionstringOptional
directionstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
tokenstringOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
deletedAtstring · date-timeOptional
respondedbooleanOptional
respondBystring · date-timeOptional
feedbackRequestedbooleanOptional
reminderSentbooleanOptional
priorityNotestringOptional
escalationInstructionsstringOptional
contactDocumentIdinteger · int64Optional

ID of the contact document used to create this case

contactDocumentNamestringOptional

Name of the contact document used to create this case

testCasebooleanOptional
post/v1/collaboration-requests
POST /v1/collaboration-requests HTTP/1.1
Host: connect2.tsanet.org
Content-Type: application/json
Accept: */*
Content-Length: 604

{
  "documentId": 1,
  "internalCaseNumber": "text",
  "receiverInternalCaseNumber": "text",
  "problemSummary": "text",
  "problemDescription": "text",
  "priority": "LOW",
  "adminNote": "text",
  "escalationInstructions": "text",
  "submitterContactDetails": {
    "name": "text",
    "email": "text",
    "phone": "text"
  },
  "customFields": [
    {
      "fieldId": 1,
      "section": "CONTACT_SECTION",
      "label": "text",
      "options": "text",
      "additionalSettings": "text",
      "type": "STRING",
      "displayOrder": 1,
      "validationRules": "text",
      "value": "text",
      "selections": [
        {
          "value": "text",
          "children": [
            "[Circular Reference]"
          ]
        }
      ],
      "required": true
    }
  ],
  "internalNotes": [
    {
      "note": "text"
    }
  ],
  "testSubmission": true
}
{
  "id": 1,
  "submitCompanyName": "text",
  "submitCompanyId": 1,
  "submitterCaseNumber": "text",
  "receiveCompanyName": "text",
  "receiveCompanyId": 1,
  "receiverCaseNumber": "text",
  "summary": "text",
  "description": "text",
  "direction": "OUTBOUND",
  "priority": "LOW",
  "status": "OPEN",
  "token": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "deletedAt": "2026-01-01T00:00:00.000Z",
  "responded": true,
  "respondBy": "2026-01-01T00:00:00.000Z",
  "feedbackRequested": true,
  "reminderSent": true,
  "priorityNote": "text",
  "escalationInstructions": "text",
  "contactDocumentId": 1,
  "contactDocumentName": "text",
  "testCase": true,
  "customFields": [
    {
      "id": 1,
      "section": "CONTACT_SECTION",
      "fieldName": "text",
      "value": "text",
      "displayOrder": 1,
      "type": "STRING"
    }
  ],
  "submittedBy": {
    "id": 1,
    "username": "text",
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "phone": "text",
    "phoneCountryCode": "text",
    "city": "text",
    "emailCheckFailData": "text"
  },
  "submitterContactDetails": {
    "name": "text",
    "email": "text",
    "phone": "text"
  },
  "receiverContactDetails": {
    "name": "text",
    "email": "text",
    "phone": "text"
  },
  "caseNotes": [
    {
      "id": 1,
      "caseId": 1,
      "companyName": "text",
      "creatorUsername": "text",
      "creatorEmail": "text",
      "creatorName": "text",
      "summary": "text",
      "description": "text",
      "priority": "LOW",
      "status": "ENTERED",
      "token": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "caseResponses": [
    {
      "id": 1,
      "type": "APPROVAL",
      "caseNumber": "text",
      "engineerName": "text",
      "engineerPhone": "text",
      "engineerEmail": "text",
      "nextSteps": "text",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get a specific collaboration request by token

get
Authorizations
Path parameters
tokenstringRequired

The token provided by TSANet for the collaboration request

Query parameters
includeRemovedNotesbooleanOptional

Filter to include removed notes - excluded by default

Default: false
Responses
200

Collaboration request details

idinteger · int64Optional
submitCompanyNamestringOptional
submitCompanyIdinteger · int64Optional
submitterCaseNumberstringOptional
receiveCompanyNamestringOptional
receiveCompanyIdinteger · int64Optional
receiverCaseNumberstringOptional
summarystringOptional
descriptionstringOptional
directionstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
tokenstringOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
deletedAtstring · date-timeOptional
respondedbooleanOptional
respondBystring · date-timeOptional
feedbackRequestedbooleanOptional
reminderSentbooleanOptional
priorityNotestringOptional
escalationInstructionsstringOptional
contactDocumentIdinteger · int64Optional

ID of the contact document used to create this case

contactDocumentNamestringOptional

Name of the contact document used to create this case

testCasebooleanOptional
get/v1/collaboration-requests/{token}
GET /v1/collaboration-requests/{token} HTTP/1.1
Host: connect2.tsanet.org
Accept: */*
{
  "id": 1,
  "submitCompanyName": "text",
  "submitCompanyId": 1,
  "submitterCaseNumber": "text",
  "receiveCompanyName": "text",
  "receiveCompanyId": 1,
  "receiverCaseNumber": "text",
  "summary": "text",
  "description": "text",
  "direction": "OUTBOUND",
  "priority": "LOW",
  "status": "OPEN",
  "token": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "deletedAt": "2026-01-01T00:00:00.000Z",
  "responded": true,
  "respondBy": "2026-01-01T00:00:00.000Z",
  "feedbackRequested": true,
  "reminderSent": true,
  "priorityNote": "text",
  "escalationInstructions": "text",
  "contactDocumentId": 1,
  "contactDocumentName": "text",
  "testCase": true,
  "customFields": [
    {
      "id": 1,
      "section": "CONTACT_SECTION",
      "fieldName": "text",
      "value": "text",
      "displayOrder": 1,
      "type": "STRING"
    }
  ],
  "submittedBy": {
    "id": 1,
    "username": "text",
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "phone": "text",
    "phoneCountryCode": "text",
    "city": "text",
    "emailCheckFailData": "text"
  },
  "submitterContactDetails": {
    "name": "text",
    "email": "text",
    "phone": "text"
  },
  "receiverContactDetails": {
    "name": "text",
    "email": "text",
    "phone": "text"
  },
  "caseNotes": [
    {
      "id": 1,
      "caseId": 1,
      "companyName": "text",
      "creatorUsername": "text",
      "creatorEmail": "text",
      "creatorName": "text",
      "summary": "text",
      "description": "text",
      "priority": "LOW",
      "status": "ENTERED",
      "token": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "caseResponses": [
    {
      "id": 1,
      "type": "APPROVAL",
      "caseNumber": "text",
      "engineerName": "text",
      "engineerPhone": "text",
      "engineerEmail": "text",
      "nextSteps": "text",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Update collaboration request submitter details

patch
Authorizations
Path parameters
tokenstringRequired

The token provided by TSANet for the collaboration request

Body
Responses
200

Collaboration request updated successfully

idinteger · int64Optional
submitCompanyNamestringOptional
submitCompanyIdinteger · int64Optional
submitterCaseNumberstringOptional
receiveCompanyNamestringOptional
receiveCompanyIdinteger · int64Optional
receiverCaseNumberstringOptional
summarystringOptional
descriptionstringOptional
directionstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
tokenstringOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
deletedAtstring · date-timeOptional
respondedbooleanOptional
respondBystring · date-timeOptional
feedbackRequestedbooleanOptional
reminderSentbooleanOptional
priorityNotestringOptional
escalationInstructionsstringOptional
contactDocumentIdinteger · int64Optional

ID of the contact document used to create this case

contactDocumentNamestringOptional

Name of the contact document used to create this case

testCasebooleanOptional
patch/v1/collaboration-requests/{token}
PATCH /v1/collaboration-requests/{token} HTTP/1.1
Host: connect2.tsanet.org
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 111

{
  "internalCaseNumber": {
    "present": true
  },
  "submitterContactDetails": {
    "name": "text",
    "email": "text",
    "phone": "text"
  }
}
{
  "id": 1,
  "submitCompanyName": "text",
  "submitCompanyId": 1,
  "submitterCaseNumber": "text",
  "receiveCompanyName": "text",
  "receiveCompanyId": 1,
  "receiverCaseNumber": "text",
  "summary": "text",
  "description": "text",
  "direction": "OUTBOUND",
  "priority": "LOW",
  "status": "OPEN",
  "token": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "deletedAt": "2026-01-01T00:00:00.000Z",
  "responded": true,
  "respondBy": "2026-01-01T00:00:00.000Z",
  "feedbackRequested": true,
  "reminderSent": true,
  "priorityNote": "text",
  "escalationInstructions": "text",
  "contactDocumentId": 1,
  "contactDocumentName": "text",
  "testCase": true,
  "customFields": [
    {
      "id": 1,
      "section": "CONTACT_SECTION",
      "fieldName": "text",
      "value": "text",
      "displayOrder": 1,
      "type": "STRING"
    }
  ],
  "submittedBy": {
    "id": 1,
    "username": "text",
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "phone": "text",
    "phoneCountryCode": "text",
    "city": "text",
    "emailCheckFailData": "text"
  },
  "submitterContactDetails": {
    "name": "text",
    "email": "text",
    "phone": "text"
  },
  "receiverContactDetails": {
    "name": "text",
    "email": "text",
    "phone": "text"
  },
  "caseNotes": [
    {
      "id": 1,
      "caseId": 1,
      "companyName": "text",
      "creatorUsername": "text",
      "creatorEmail": "text",
      "creatorName": "text",
      "summary": "text",
      "description": "text",
      "priority": "LOW",
      "status": "ENTERED",
      "token": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "caseResponses": [
    {
      "id": 1,
      "type": "APPROVAL",
      "caseNumber": "text",
      "engineerName": "text",
      "engineerPhone": "text",
      "engineerEmail": "text",
      "nextSteps": "text",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get collaboration requests (paginated)

get
Authorizations
Query parameters
internalCaseNumberstringOptional

Your internal case number

typestring · enumOptional

Filter by collaboration request type (optional) - all by default

Default: ALLPossible values:
statusstring · enumOptional

Filter by collaboration request status (optional) - all by default

Default: ALLPossible values:
includeRemovedNotesbooleanOptional

Include removed notes - excluded by default

Default: false
pageinteger · int32Optional

Page number (0-based)

Default: 0
sizeinteger · int32Optional

Page size (0 means return all records)

Default: 25
Responses
200

Paginated list of collaboration requests

numberinteger · int32Optional
sizeinteger · int32Optional
totalElementsinteger · int64Optional
totalPagesinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
get/v2/collaboration-requests
GET /v2/collaboration-requests HTTP/1.1
Host: connect2.tsanet.org
Accept: */*
{
  "content": [
    {
      "id": 1,
      "submitCompanyName": "text",
      "submitCompanyId": 1,
      "submitterCaseNumber": "text",
      "receiveCompanyName": "text",
      "receiveCompanyId": 1,
      "receiverCaseNumber": "text",
      "summary": "text",
      "description": "text",
      "direction": "OUTBOUND",
      "priority": "LOW",
      "status": "OPEN",
      "token": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "deletedAt": "2026-01-01T00:00:00.000Z",
      "responded": true,
      "respondBy": "2026-01-01T00:00:00.000Z",
      "feedbackRequested": true,
      "reminderSent": true,
      "priorityNote": "text",
      "escalationInstructions": "text",
      "contactDocumentId": 1,
      "contactDocumentName": "text",
      "testCase": true,
      "customFields": [
        {
          "id": 1,
          "section": "CONTACT_SECTION",
          "fieldName": "text",
          "value": "text",
          "displayOrder": 1,
          "type": "STRING"
        }
      ],
      "submittedBy": {
        "id": 1,
        "username": "text",
        "firstName": "text",
        "lastName": "text",
        "email": "text",
        "phone": "text",
        "phoneCountryCode": "text",
        "city": "text",
        "emailCheckFailData": "text"
      },
      "submitterContactDetails": {
        "name": "text",
        "email": "text",
        "phone": "text"
      },
      "receiverContactDetails": {
        "name": "text",
        "email": "text",
        "phone": "text"
      },
      "caseNotes": [
        {
          "id": 1,
          "caseId": 1,
          "companyName": "text",
          "creatorUsername": "text",
          "creatorEmail": "text",
          "creatorName": "text",
          "summary": "text",
          "description": "text",
          "priority": "LOW",
          "status": "ENTERED",
          "token": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        }
      ],
      "caseResponses": [
        {
          "id": 1,
          "type": "APPROVAL",
          "caseNumber": "text",
          "engineerName": "text",
          "engineerPhone": "text",
          "engineerEmail": "text",
          "nextSteps": "text",
          "createdAt": "2026-01-01T00:00:00.000Z"
        }
      ]
    }
  ],
  "number": 1,
  "size": 1,
  "totalElements": 1,
  "totalPages": 1,
  "first": true,
  "last": true
}

List collaboration requests

get
Authorizations
Query parameters
internalCaseNumberstringOptional

Your internal case number

typestring · enumOptional

Filter by collaboration request type (optional) - all by default

Default: ALLPossible values:
statusstring · enumOptional

Filter by collaboration request status (optional) - all by default

Default: ALLPossible values:
updatedAfterstring · date-timeOptional

Filter by requests updated after (YYYY-MM-DDTHH:MM:SSZ)

createdAfterstring · date-timeOptional

Filter by requests created after (YYYY-MM-DDTHH:MM:SSZ)

includeRemovedNotesbooleanOptional

Include removed notes - excluded by default

Default: false
Responses
200

List of collaboration requests

idinteger · int64Optional
submitCompanyNamestringOptional
submitCompanyIdinteger · int64Optional
submitterCaseNumberstringOptional
receiveCompanyNamestringOptional
receiveCompanyIdinteger · int64Optional
receiverCaseNumberstringOptional
summarystringOptional
descriptionstringOptional
directionstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
tokenstringOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
deletedAtstring · date-timeOptional
respondedbooleanOptional
respondBystring · date-timeOptional
feedbackRequestedbooleanOptional
reminderSentbooleanOptional
priorityNotestringOptional
escalationInstructionsstringOptional
contactDocumentIdinteger · int64Optional

ID of the contact document used to create this case

contactDocumentNamestringOptional

Name of the contact document used to create this case

testCasebooleanOptional
get/v2/collaboration-requests/list
GET /v2/collaboration-requests/list HTTP/1.1
Host: connect2.tsanet.org
Accept: */*
[
  {
    "id": 1,
    "submitCompanyName": "text",
    "submitCompanyId": 1,
    "submitterCaseNumber": "text",
    "receiveCompanyName": "text",
    "receiveCompanyId": 1,
    "receiverCaseNumber": "text",
    "summary": "text",
    "description": "text",
    "direction": "OUTBOUND",
    "priority": "LOW",
    "status": "OPEN",
    "token": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "deletedAt": "2026-01-01T00:00:00.000Z",
    "responded": true,
    "respondBy": "2026-01-01T00:00:00.000Z",
    "feedbackRequested": true,
    "reminderSent": true,
    "priorityNote": "text",
    "escalationInstructions": "text",
    "contactDocumentId": 1,
    "contactDocumentName": "text",
    "testCase": true,
    "customFields": [
      {
        "id": 1,
        "section": "CONTACT_SECTION",
        "fieldName": "text",
        "value": "text",
        "displayOrder": 1,
        "type": "STRING"
      }
    ],
    "submittedBy": {
      "id": 1,
      "username": "text",
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "phone": "text",
      "phoneCountryCode": "text",
      "city": "text",
      "emailCheckFailData": "text"
    },
    "submitterContactDetails": {
      "name": "text",
      "email": "text",
      "phone": "text"
    },
    "receiverContactDetails": {
      "name": "text",
      "email": "text",
      "phone": "text"
    },
    "caseNotes": [
      {
        "id": 1,
        "caseId": 1,
        "companyName": "text",
        "creatorUsername": "text",
        "creatorEmail": "text",
        "creatorName": "text",
        "summary": "text",
        "description": "text",
        "priority": "LOW",
        "status": "ENTERED",
        "token": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "caseResponses": [
      {
        "id": 1,
        "type": "APPROVAL",
        "caseNumber": "text",
        "engineerName": "text",
        "engineerPhone": "text",
        "engineerEmail": "text",
        "nextSteps": "text",
        "createdAt": "2026-01-01T00:00:00.000Z"
      }
    ]
  }
]

Last updated